## par 1.50-1

=== Makefile ===
# *********************************
# * Makefile for Debian Par 1.50  *
# * Par 1.41 Copyright 1993       *
# * by Adam M. Costello           *
# *********************************


CC = gcc -c -O2 
LINK1 = gcc -s
LINK2 = -o
RM = rm -f
JUNK =

BIN=/usr/bin
DOC=/usr/doc/par
MAN=/usr/man/man1

#####
##### Guts (you shouldn't need to touch this part)
#####

OBJS = buffer.o charset.o errmsg.o par.o reformat.o

.c.o:
	$(CC) $<

par: $(OBJS)
	$(LINK1) $(OBJS) $(LINK2) par

buffer.o: buffer.c buffer.h errmsg.h

charset.o: charset.c charset.h errmsg.h buffer.h

errmsg.o: errmsg.c errmsg.h

par.o: par.c charset.h errmsg.h buffer.h reformat.h

reformat.o: reformat.c reformat.h errmsg.h buffer.h

clean:
	$(RM) par $(OBJS) $(JUNK)

install: par par.doc
	install -o root -g root -m 0755 par $(BIN)/par
	install -d $(DOC) -o root -g root -m 0755
	install -o root -g root -m 0644 par.doc $(DOC)
	install -d $(MAN) -o root -g root -m 0755
	install -o root -g root -m 0644 par.1 $(MAN)

## par 1.52

=== debian/changelog ===
par (1.52-5) unstable; urgency=low

  * Add minimal autopkgtest and run it after build.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 23 Jun 2019 14:19:17 +0200

par (1.52-4) experimental; urgency=low

  * Adopt package Closes: #902676 and reset uploader list. Closes: #738479
  * Drop pointer to old SVN repository.
  * [lintian] Correct doc-base Section.
  * Use 3.0 (quilt) source format.
  * Convert from cdbs to dh, use v12 compat level.
  * [lintian] Use ${misc:Depends}.
  * [lintian] Move homepage link from description to metadata. Closes: #615256
    Also update homepage link in manpage. (Thanks, Norman Ramsey)
  * Build with DEB_BUILD_MAINT_OPTIONS := hardening=+all and override
    dh_auto_build to let build process respect CPPFLAGS and LDFLAGS.
  * Minimize Makefile, let debhelper do installing. (Needed for building
    without root.)
  * Set Rules-Requires-Root: no.
  * Add 20_sanitize_CC_usage.diff by Helmut Grohne to respect $CC when
    building. Closes: 889678 Modify the patch also respect CFLAGS.
  * Add VCS-* fields to control, pointing to salsa.

 -- Andreas Metzler <ametzler@debian.org>  Sat, 22 Jun 2019 18:51:07 +0200

par (1.52-3) unstable; urgency=low

  * debian/README.Debian:
    - removed as it is about the i18n patch which is not yet ready.
  * debian/README.Debian-source:
    - added an explanation about the cosmetic differences between
      the Debian tar.gz and upstream tar.gz
  * debian/watch:
    - added entry based on current upstream numbering.
  * debian/rules:
    - set DEB_INSTALL_DOCS_ALL to debian/README.Debian-source

 -- Kapil Hari Paranjape <kapil@debian.org>  Mon, 27 Aug 2007 11:40:44 +0530

par (1.52-2) unstable; urgency=low

  [ Jérôme Pouiller (Jezz) ]
  * debian/patches/add_Makefile:
    - define _GNU_SOURCE_ to fix warnings
      during compilation.

  [ Mohammed Adnène Trojette ]
  * debian/patches/fix_man_spellings:
    - replace preceed with precede.
      Closes: #311229 --- really. Closes: #437895.
  * debian/changelog: remove emacs settings
  * debian/rules: switch to cdbs
  * debian/control: added cdbs to Build-Depends.

  [ Kapil Hari Paranjape ]
  * debian/control:
    - added Mohammed Adnène Trojette and
      Jérôme Pouiller to Uploaders.
    - added quilt to Build-Depends.
    - Standards-Version: 3.7.2. No changes required.
    - changed maintainer e-mail address.
    - removed space in "Home page:".
    - added XS-Vcs-Svn field.
  * debian/dirs: removed unused "/usr/sbin" entry.
  * debian/rules: switch to quilt for patch management.
  * debian/patches/catch_output_error:
    - Clarified option E and I/O errors in par.1
    - Added some output error checking if E option is 1.
      Closes: #214179.
  * debian/copyright: filled in more details about copyright on
    original source, patches and Debian changes.

 -- Kapil Hari Paranjape <kapil@debian.org>  Fri, 24 Aug 2007 21:58:22 +0530

par (1.52-1) unstable; urgency=low

  * New Maintainer.
  * Standards-Version: 3.6.2. No changes required.
  * DH_COMPAT=4. Needed to replace use of dh_installmanpages
    with dh_installman. Also fixed Build-Depends.
  * Incorporated spelling corrections in the
    man page. Closes: #311229.

 -- Kapil Hari Paranjape <kapil@imsc.res.in>  Mon, 27 Mar 2006 10:29:39 +0530

par (1.52-0.1) unstable; urgency=low

  * NMU
  * new upstream version 1.52 (Closes: #143570)
  * new URL in debian/copyright
  * remove dh_testversion from debian/rules.
  * install file releasenotes as upstream changelog.
  * Standards-Version: 3.5.9 (Only changes to debian/rules with respect to
    compile options required)
  * make lintian happy, remove emacs settings from changelog

 -- Andreas Metzler <ametzler@debian.org>  Sun, 16 Mar 2003 16:58:06 +0100

par (1.51-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Rebuild w/ new debhelper and no changes to finish
    /usr/doc transition. Closes: #322794, #322814

 -- Joey Hess <joeyh@debian.org>  Tue, 10 Jan 2006 01:14:30 -0500

par (1.51-1) unstable; urgency=low

  * new upstream release.  more liberal license.  closes: #90201
  * recompiled to match man & doc standards.  closes: #91017, #91645

 -- Craig Sanders <cas@taz.net.au>  Sat, 31 Mar 2001 12:35:39 +1000

par (1.50-4) unstable; urgency=low

  * recompiled for libc6

 -- Craig Sanders <cas@taz.net.au>  Wed, 10 Sep 1997 08:29:22 +1000

par (1.50-3) unstable; urgency=low

  * added Section: text to debian/control

 -- Craig Sanders <cas@taz.net.au>  Sat, 22 Feb 1997 15:10:00 +1100

par (1.50-2) unstable; urgency=low

  * repackaged with debmake

 -- Craig Sanders <cas@taz.net.au>  Sat, 22 Feb 1997 13:16:50 +1100

par (1.50-1) unstable; urgency=low

  * New upstream release

 -- Craig Sanders <cas@taz.net.au>  Tue, 14 Jun 1996 00:00:00 +1100

par (1.41-2) unstable; urgency=low

  * recompiled as ELF

 -- Craig Sanders <cas@taz.net.au>  Tue, 18 Apr 1996 00:00:00 +1100

par (1.41-1) unstable; urgency=low

  * Initial Release

 -- Craig Sanders <cas@taz.net.au>  Tue, 26 Jan 1996 00:00:00 +1100

=== debian/control ===
Source: par
Section: text
Priority: optional
Maintainer: Andreas Metzler <ametzler@debian.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.3.0
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian/par.git
Vcs-Browser: https://salsa.debian.org/debian/par
Homepage: http://www.nicemice.net/par/

Package: par
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Paragraph reformatter
 Greatly enhanced fmt type program by Adam M. Costello.
 .
 Can be used within vi or other editor to automatically reformat text
 in a variety of ways.
 .
 Perfect for use with email & usenet messages as it correctly handles
 multiple levels of quoting characters.
 .
 This version includes a patch allowing multi-byte and multi-width character
 encodings.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS := hardening=+all
export DEB_CFLAGS_MAINT_APPEND := -D_GNU_SOURCE

override_dh_installchangelogs:
	dh_installchangelogs releasenotes

override_dh_auto_build:
	dh_auto_build --verbose -- \
		LINK2="$(LDFLAGS) -o" CFLAGS="$(CPPFLAGS) $(CFLAGS)"

%:
	dh $@

=== debian/tests/control ===
Tests: reformat.72.and.45
Depends: par

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=3

http://www.nicemice.net/par/Par(\d)(\d\d).tar.gz

## par 1.53.0

=== debian/changelog ===
par (1.53.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Metzler <ametzler@debian.org>  Sun, 22 Aug 2021 14:25:34 +0200

par (1.53.0-1) experimental; urgency=medium

  * Let watchfile handle new (Par-1.53.0.tar.gz) and old (Par152.tar.gz) file
    name schemes.
  * New upstream version. Closes: #986036
    + Drop debian/patches/fix_man_spellings.
    + Update 20_sanitize_CC_usage.diff
    + Upstream testsuite needs charmaps from locales package, update b-d.
    + Refresh debian/patches/add_Makefile, stop adding a check target running
      the debian specific test.
  * Run newly available upstream test suite as autopkgtest.
  * 30_safer_tempdir.diff: Do not use a predictable temporary file name in
    testsuite.
  * Use dh 13 compat.

 -- Andreas Metzler <ametzler@debian.org>  Tue, 06 Apr 2021 18:09:48 +0200

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: text
 Priority: optional
 Maintainer: Andreas Metzler <ametzler@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), locales <!nocheck>
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Vcs-Git: https://salsa.debian.org/debian/par.git
 Vcs-Browser: https://salsa.debian.org/debian/par

=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,8 @@
 
 override_dh_auto_build:
 	dh_auto_build --verbose -- \
-		LINK2="$(LDFLAGS) -o" CFLAGS="$(CPPFLAGS) $(CFLAGS)"
+		LINK2="$(LDFLAGS) -o" CPPFLAGS="$(CPPFLAGS)" \
+		CFLAGS="$(CFLAGS)"
 
 %:
 	dh $@

=== debian/tests/control ===
Tests: run-upstream-testsuite
Depends: build-essential, locales, @

=== debian/watch ===
# format version number, currently 3; this line is compulsory!
version=4

# handle both Par-1.53.0.tar.gz Par152.tar.gz
opts="uversionmangle=s/\.$//" \
 http://www.nicemice.net/par/ \
 Par-?(\d)\.?(\d\d)\.?([0-9]*)@ARCHIVE_EXT@
